summaryrefslogtreecommitdiff
path: root/evergreen/functions/venv_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'evergreen/functions/venv_setup.sh')
-rw-r--r--evergreen/functions/venv_setup.sh24
1 files changed, 6 insertions, 18 deletions
diff --git a/evergreen/functions/venv_setup.sh b/evergreen/functions/venv_setup.sh
index c6244686084..3d935d87594 100644
--- a/evergreen/functions/venv_setup.sh
+++ b/evergreen/functions/venv_setup.sh
@@ -74,22 +74,10 @@ activate_venv
echo "Upgrading pip to 21.0.1"
python -m pip --disable-pip-version-check install "pip==21.0.1" "wheel==0.37.0" || exit 1
-count=0
-while :; do
- if ! python -m pip --disable-pip-version-check install -r "$toolchain_txt" -q --log install.log; then
- count=$((count + 1))
- if [[ $count < 5 ]]; then
- rand=$((1 + $RANDOM % 3))
- # delay = 20+[1-3] -> 80+[4-12] -> 180+[9-27] -> 320+[16-48]
- sleep $((count * count * (20 + rand)))
- continue
- fi
- echo "Pip install error"
- cat install.log || true
- exit 1
- else
- break
- fi
-done
-
+python -m pip --disable-pip-version-check install -r "$toolchain_txt" -q --log install.log
+if [ $? != 0 ]; then
+ echo "Pip install error"
+ cat install.log
+ exit 1
+fi
python -m pip freeze > pip-requirements.txt